Subject: [BEHAVE] Running TLS and plain STUN over the same TCP port

From: Simon Perreault <[email-masked]>
Date: Sun, 28 Dec 2008 12:40:59 -0500

Hello,

I have a question related to the following excerpt from RFC5389:

>    Servers can run STUN over TLS on the same port as
>    STUN over TCP if the server software supports determining whether the
>    initial message is a TLS or STUN message.

I can see two ways a server can determine that:

1. Static configuration.
2. Evil heuristics.

Is there a third way I have overlooked (e.g. STARTTLS)?

Thanks,
Simon

-- 
Please try Numb, a STUN/TURN server implementation.
Free access at http://numb.viagenie.ca/.
_______________________________________________
Behave mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/behave